VAR MODNAME
VAR LBDIR
VAR OVERWRITE
SetCompressor /SOLID lzma
CRCCheck on
Icon "C:\Program Files\EA Games\Command & Conquer The First Decade\Command & Conquer Red Alert(tm) II\RA2\LaunchBase\Mods\LB Mod Creator\Resource\default.ico"
WindowIcon on
XPStyle off
ShowInstDetails show
InstProgressFlags smooth colored
AutoCloseWindow true
SubCaption 0 ": Information"
Name "Just another YR mod Setup"
Caption "Just another YR mod"
Outfile "C:\Users\Bartek\Desktop\testmod.exe"
BrandingText "LB Mod Creator 0.99.111"
InstallColors 000000 FFFFFF
PageEx directory
PageCallbacks .preCheckInstdir "" .validateInstdir 
DirText `Welcome to the installation program for Just another YR mod. Just another YR mod must be installed to a subfolder inside the Launch Base 'Mods' folder.` ; "Select installation directory:"
PageExEnd
Page instfiles
Function .onInit
StrCpy $MODNAME "Just another YR mod"
ReadRegStr $LBDIR HKLM "SOFTWARE\Marshallx Industries\YR Launch Base" "InstallPath"
StrCmp $LBDIR "" LBNotOkay 0
StrCpy $R1 $LBDIR "" -1
StrCmp $R1 "\" 0 +2
StrCpy $LBDIR $LBDIR -1
IfFileExists "$LBDIR\LaunchBase.ini" LBOkay LBNotOkay
LBNotOkay:
MessageBox MB_OK|MB_ICONSTOP "Launch Base is not installed! Please install Launch Base before installing Just another YR mod."
Abort
Quit
LBOkay:
System::Call 'kernel32::CreateMutexA(i 0, i 0, t "YRLBMUTEXERM1") i .r1 ?e'
Pop $R0
StrCmp $R0 0 +4
MessageBox MB_OK|MB_ICONSTOP "Either Launch Base itself or another installer is already running."
Abort
Quit
StrCpy $INSTDIR "$LBDIR\Mods\Just another YR mod"
FunctionEnd
!include "C:\Program Files\EA Games\Command & Conquer The First Decade\Command & Conquer Red Alert(tm) II\RA2\LaunchBase\Mods\LB Mod Creator\Resource\fvaldir1.erm"
Function .preCheckInstdir
FunctionEnd
Section "-main" 0
StrCmp $OVERWRITE "TRUE" 0 +3
RMDir /r "$INSTDIR"
Goto DestinationClear
RMDir /r "$INSTDIR\cameo"
RMDir /r "$INSTDIR\fa2files"
RMDir /r "$INSTDIR\hva"
RMDir /r "$INSTDIR\ini"
RMDir /r "$INSTDIR\interface"
RMDir /r "$INSTDIR\launcher"
RMDir /r "$INSTDIR\manual"
RMDir /r "$INSTDIR\map"
RMDir /r "$INSTDIR\mix"
RMDir /r "$INSTDIR\screen"
RMDir /r "$INSTDIR\shp"
RMDir /r "$INSTDIR\side 1"
RMDir /r "$INSTDIR\side 2"
RMDir /r "$INSTDIR\side 3"
RMDir /r "$INSTDIR\side 4"
RMDir /r "$INSTDIR\sound"
RMDir /r "$INSTDIR\speech"
RMDir /r "$INSTDIR\string table"
RMDir /r "$INSTDIR\syringe"
RMDir /r "$INSTDIR\taunts"
RMDir /r "$INSTDIR\theme"
RMDir /r "$INSTDIR\video"
RMDir /r "$INSTDIR\vxl"
RMDir /r "$INSTDIR\Kiln"
IfFileExists "$INSTDIR\saves\*.*" 0 +3
Rename  "$INSTDIR\saves" "$INSTDIR\newsaves.ran\old"
Rename  "$INSTDIR\newsaves.ran" "$INSTDIR\saves"
DestinationClear:
!include "C:\Program Files\EA Games\Command & Conquer The First Decade\Command & Conquer Red Alert(tm) II\RA2\LaunchBase\Mods\LB Mod Creator\Kiln\script2.erm"
SectionEnd
Function .onInstSuccess
MessageBox MB_YESNO|MB_ICONQUESTION "$MODNAME installation complete.$\nWould you like to run Launch Base now?" IDYES LaunchLB IDNO GameOver
LaunchLB:
Exec "$LBDIR\LaunchBase.exe"
GameOver:
FunctionEnd
